Loading...
Searching...
No Matches
pdftron::PDF::TimestampingResult Class Reference

`#include <TimestampingResult.h>`

## Public Member Functions
| TimestampingResult (const TimestampingResult &other)
TimestampingResult & | operator= (const TimestampingResult &other)
| ~TimestampingResult ()
void | Destroy ()
bool | GetStatus () const
UString | GetString () const
bool | HasResponseVerificationResult () const
EmbeddedTimestampVerificationResult | GetResponseVerificationResult () const
std::vector< UChar > | GetData () const
| TimestampingResult (TRN_TimestampingResult impl)

## Public Attributes
TRN_TimestampingResult | m_impl

## Detailed Description

A class representing the result of testing a timestamping configuration.

Definition at line 21 of file TimestampingResult.h.

## Constructor & Destructor Documentation

## ◆ TimestampingResult() [1/2]

pdftron::PDF::TimestampingResult::TimestampingResult | ( | const TimestampingResult & | other | ) |

## ◆ ~TimestampingResult()

pdftron::PDF::TimestampingResult::~TimestampingResult | ( |  | ) |

## ◆ TimestampingResult() [2/2]

pdftron::PDF::TimestampingResult::TimestampingResult | ( | TRN_TimestampingResult | impl | ) |

## Member Function Documentation

## ◆ Destroy()

void pdftron::PDF::TimestampingResult::Destroy | ( |  | ) |

## ◆ GetData()

std::vector< UChar > pdftron::PDF::TimestampingResult::GetData | ( |  | ) | const

If GetStatus gives true, returns the data from the completed timestamping operation, otherwise throws. If this result was returned from TimestampOnNextSave, then this data is the timestamp token. However, if this result was returned from GenerateContentsWithEmbeddedTimestamp, then this data is the main document CMS signature of the DigitalSignatureField but with a newly-added embedded timestamp (unsigned signature-time-stamp attribute as specified in PAdES and PDF 2.0).

Returns
  the data representing the result of the timestamping operation, if GetStatus gives true

## ◆ GetResponseVerificationResult()

EmbeddedTimestampVerificationResult pdftron::PDF::TimestampingResult::GetResponseVerificationResult | ( |  | ) | const

If a timestamp response was successfully retrieved from a timestamp authority, returns the result of verifying it. If a timestamp response was not received, throws. One should call HasResponseVerificationResult first to see if a detailed result is available before calling this function.

Returns
  a timestamp response verification result

## ◆ GetStatus()

bool pdftron::PDF::TimestampingResult::GetStatus | ( |  | ) | const

Retrieves the overall status of the timestamping configuration testing operation.

Returns
  a boolean value representing the status.

## ◆ GetString()

UString pdftron::PDF::TimestampingResult::GetString | ( |  | ) | const

Retrieves a result message regarding the timestamping configuration testing operation.

Returns
  a string result message.

Note
  Output may change in future versions.

## ◆ HasResponseVerificationResult()

bool pdftron::PDF::TimestampingResult::HasResponseVerificationResult | ( |  | ) | const

Returns whether a timestamp response verification result is available. This means that false will be returned when a timestamp response was not received or was empty (e.g. network failures, improper server configuration, bad URL, etc.). This function should be called to check for the availability of a verification result before actually attempting to retrieve one using GetResponseVerificationResult (which throws if a result is not available).

Returns
  whether a timestamp response verification result is available

## ◆ operator=()

TimestampingResult & pdftron::PDF::TimestampingResult::operator= | ( | const TimestampingResult & | other | ) |

## Member Data Documentation

## ◆ m_impl

TRN_TimestampingResult pdftron::PDF::TimestampingResult::m_impl

Definition at line 87 of file TimestampingResult.h.

The documentation for this class was generated from the following file:

- PDF/TimestampingResult.h